package com.bzd.system.service.kc.bb;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 进销存商品明细报表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcBbJxcspmxStoreinventorychangesService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcBbJxcspmxStoreinventorychanges(PageData pd)throws Exception {
        return daoSupport.update("SKcBbJxcspmxStoreinventorychangesMapper.addSKcBbJxcspmxStoreinventorychanges", pd);
    }

    public List<PageData> findSKcBbJxcspmxStoreinventorychangesList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcBbJxcspmxStoreinventorychangesMapper.selectSKcBbJxcspmxStoreinventorychangesList", pd);
    }

    public Integer SKcBbJxcspmxStoreinventorychangesRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcBbJxcspmxStoreinventorychangesMapper.SKcBbJxcspmxStoreinventorychangesRemove", pd);
    }


    public Integer updateSKcBbJxcspmxStoreinventorychanges(PageData pd)throws Exception {
        return daoSupport.update("SKcBbJxcspmxStoreinventorychangesMapper.updateSKcBbJxcspmxStoreinventorychanges", pd);
    }

}
